/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0.1
*/


/* ------ */
/* -------------------- REGISTRATION FORM ----------------- */
/* ------ */


#portal_registration_form {
    max-width: 600px;
    margin: 0 auto;
    padding: 0 0 50px;
}

#portal_registration_form h2 {
    font-size: 24px;
    margin-bottom: 20px;
    text-align: center;
    width: 100%;
}

#portal_registration_form .register-form__field {
    margin-bottom: 15px;
    width: 100%;
}

#portal_registration_form input:disabled {
    background: #ccc;
    pointer-events: none;
}

#portal_registration_form hr {
    margin: 30px 0;
    border: none;
    border-top: 1px solid #ccc;
    width: 100%;
}

#portal_registration_form label {
    margin-bottom: 10px;
    display: block;
}

#portal_registration_form .register-form__fields {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; 
}

#portal_registration_form .register-form__field--half {
    width: 48%;
}

#portal_registration_form .register-form__field--third {
    width: 31%;
}

body #portal_registration_form  .fancy-select-wrap {
    padding: 0 0 5px !important;
}

body #portal_registration_form  .fancy-select-wrap label {
    color: #000 !important;
}

#portal_registration_form .required {
    color: #c42323;
    margin-left: 5px;
}

#portal_registration_form .register-form__footer {
    text-align: center;
    margin-top: 20px;
}

#portal_registration_form .register-form__footer .register-form__actions {
    padding-top: 20px;
    font-size: 15px;
}

#portal_registration_form .register-form__footer .register-form__actions a {
    font-weight: 700;
    text-decoration: underline;
}

#portal_registration_form .login-alert {
    text-align: center;
    padding-bottom: 100px;
}

#portal_registration_form .login-alert a {
    font-weight: 700;
    text-decoration: underline;
}

#password-strength {
    display: block;
    padding: 5px 10px;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
}

#password-strength.short {
    background: #c42323;
}

#password-strength.bad {
    background: #c42323;
}

#password-strength.good {
    background: #f5a623
}

#password-strength.strong {
    background: #4caf50;
}

.register-form__message {
    color: #c42323;
    font-size: 14px;
    margin-top: 10px;
    font-weight: 600;
}

.invite_code-input-group {
    display: flex;
    align-items: center;
    gap: 5px;
}

.invite-code-input {
    width: 40px;
    font-size: 30px;
    padding: 5px !important;
    text-align: center;
    text-transform: uppercase;
    padding: 15px 5px !important;
    color: #000 !important;
    font-weight: 500;
}

.portal-input-error {
    border: 2px solid #c42323 !important;
}


/* ------ */
/* -------------------- PARTNER LANDING PAGE ----------------- */
/* ------ */

.partner-hero {
    display: flex;
    align-items: stretch;
    background: #000;
}

.partner-hero > div {
    width: 50%;
}

.partner-hero-image {
    background-size: cover;
    background-position: center;
}

.partner-hero-content {
    background: #f5f5f5;
    padding:100px 5vw;
}

.partner-logo {
    max-width: 250px;
    margin-bottom: 40px;
}

.partner-hero-content h1 {
    color: #fff;
    padding: 50px;
    position: relative;
    left: calc(-5vw - 100px);
    width: calc(100% + 5vw + 100px);
    font-size: 52px;
    line-height: 1.1;
    margin-bottom: 40px;
}

@media all and (min-width: 1840px) {
    .partner-hero-content h1 {
        font-size: 60px;
    }
}

.partner-hero-content p a {
    font-weight: 600;
    text-decoration: underline;
}

.partner-products-row {
    padding: 100px 0 0;
}

.partner-products-row:last-of-type {
    padding-bottom: 100px;
}

.partner-products-row h2 {
    margin-bottom: 50px;
}

@media all and (max-width: 999px) {
    .partner-hero-content {
        padding:60px 5vw;
    }

    .partner-logo {
        max-width: 200px;
        margin-bottom: 30px;
    }

    .partner-hero-content h1 {
        padding: 40px 30px;
        left: 0;
        width: 100%;
        font-size: 40px;
        margin-bottom: 30px;
    }
    .partner-products-row {
        padding: 80px 0 0;
    }

    .partner-hero {
        flex-direction: column;
    }

    .partner-hero > div {
        width: 100%;
    }

    .partner-hero-image {
        height: 300px;
    }

    .partner-products-row:last-of-type {
        padding-bottom: 80px;
    }
    .partner-products-row h2 {
        margin-bottom: 35px;
    }
}

@media all and (max-width: 767px) {
    .partner-logo {
        margin-bottom: 20px;
    }
    .partner-hero-content h1 {
        padding: 30px;
        font-size: 32px;
        margin-bottom: 20px;
    }
    .partner-hero p {
        font-size: 16px;
    }
}